Returns the sarprop step error shift

- « fann_get_rprop_increase_factor

- fann_get_sarprop_step_error_threshold_factor »

- PHP Manual
- Fann Functions
- Returns the sarprop step error shift

# fann_get_sarprop_step_error_shift

(PECL fann >= 1.0.0)

fann_get_sarprop_step_error_shift — Returns the sarprop step error shift

### Description

fann_get_sarprop_step_error_shift(resource `$ann`): float

Returns the sarprop step error shift.

The default step error shift is 1.385.

### Parameters

`ann`

  Neural network resource.

### Return Values

The sarprop step error shift , or `false` on error.

### Notes

> Note:

> This function is only available if the fann extension has been build against libfann >= 2.2.

### See Also

- fann_set_sarprop_step_error_shift() - Sets the sarprop step error shift